"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.readCertificateRevocationList = void 0;
const fs = require("fs");
const util_1 = require("util");
const crypto_utils_1 = require("../source/crypto_utils");
function readCertificateRevocationList(filename) {
    return __awaiter(this, void 0, void 0, function* () {
        const crl = yield util_1.promisify(fs.readFile)(filename);
        if (crl[0] === 0x30 && crl[1] === 0x82) {
            // der format
            return crl;
        }
        const raw_crl = crl.toString();
        return crypto_utils_1.convertPEMtoDER(raw_crl);
    });
}
exports.readCertificateRevocationList = readCertificateRevocationList;
//# sourceMappingURL=read_certificate_revocation_list.js.map