"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getThumbprint = exports.extractFirstCertificateInChain = void 0;
/**
 * @module node-opcua-secure-channel
 */
const node_opcua_crypto_1 = require("node-opcua-crypto");
function extractFirstCertificateInChain(certificateChain) {
    if (!certificateChain) {
        return null;
    }
    const c = node_opcua_crypto_1.split_der(certificateChain);
    return c[0];
}
exports.extractFirstCertificateInChain = extractFirstCertificateInChain;
function getThumbprint(certificateChain) {
    if (!certificateChain) {
        return null;
    }
    return node_opcua_crypto_1.makeSHA1Thumbprint(extractFirstCertificateInChain(certificateChain));
}
exports.getThumbprint = getThumbprint;
//# sourceMappingURL=common.js.map